SURFACEBOOLEANFEATURES(1)

NAME
surfaceBooleanFeatures - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
surfaceBooleanFeatures [OPTIONS] action surface1 surface2

DESCRIPTION
Generates the extendedFeatureEdgeMesh for the interface created by a boolean
operation on two surfaces.

ARGUMENTS

action
    One of (intersection | union | difference)

surface1
    The input surface file 1

surface2
    The input surface file 2

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-invertedSpace
    Do the surfaces have inverted space orientation, i.e. a point at infinity is considered inside. This is only sensible for union and intersection.

-perturb
    Perturb surface points to escape degenerate intersections

-scale factor
    Geometry scaling factor (both surfaces)

-surf1Baffle
    Mark surface 1 as a baffle

-surf2Baffle
    Mark surface 2 as a baffle

-trim ((surface1 volumeType) .. (surfaceN volumeType))
    Trim resulting intersection with additional surfaces; volumeType is 'inside' (keep (parts of) edges that are inside), 'outside' (keep (parts of) edges that are outside) or 'mixed' (keep all)

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.